Foreman - Bug #33539

Undefined method error when calling Api::V2::SmartProxiesController#import_puppetclasses

09/22/2021 10:02 AM - Nadja Heitmann

Status: Closed
Priority: Normal
Assignee: Nadja Heitmann
Category: API
Target version:
Difficulty: Fixed in Releases: 3.0.2,3.1.0
Triaged: No Found in Releases:  3.0.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8788
Description
09:16:04 rails.l1 | 2021-09-22T09:16:04 [I|app|036b295b] Started POST "/api/smart_proxies/1l/impor
t_puppetclasses" for 192.168.121.1 at 2021-09-22 09:16:04 +0000
09:16:04 rails.1l | 2021-09-22T09:16:04 [I|app|036b295b] Processing by Api::V2::SmartProxiesContr
oller#import_puppetclasses as JSON
09:16:04 rails.1l | 2021-09-22T09:16:04 [I|appl036b295b] Parameters: {"apiv"=>"v2", "id"=>"1",
"smart_proxy"=>{}}
09:16:04 rails.1l | 2021-09-22T09:16:04 [W|lapp|036b295b] Action failed
09:16:04 rails.l1 | 2021-09-22T09:16:04 [I]appl|036b295b] Backtrace for 'Action failed' error (NoM

ethodError) : undefined method "fail_and_inform_about_plugin_for_import'

sController:0x00007fa0d95£2838>

Tested on current develop branch (fcd63a38456375144f15d174d8945e68615e0c1d)

for #<Api::V2::SmartProxie

Associated revisions

Revision 639f102a - 09/22/2021 12:22 PM - Nadja Heitmann

Fixes #33539 - use correct deprecation

This fixes Undefined method error for Api::V2::SmartProxiesController#import_puppetclasses
That is caused by a wrong deprecation method being called.

History

#1 - 09/22/2021 10:07 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8788 added

#2 - 09/22/2021 12:22 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#3 - 09/22/2021 01:01 PM - Nadja Heitmann
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|639f102a46bfde5e897d1a5225a34e0477f557d5.

#4 - 11/15/2021 04:48 PM - Amit Upadhye
- Category set to API

#5 - 11/18/2021 01:35 PM - Ondfej Ezr
- Fixed in Releases 3.0.2 added

05/17/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/639f102a46bfde5e897d1a5225a34e0477f557d5
http://www.tcpdf.org

